Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython2.PDF3DContext Class Reference
Inheritance diagram for FoxitPDFSDKPython2.PDF3DContext:

## Public Member Functions
def | PDF3DContext (doc)
| Constructor, with a PDF document object.
def | PDF3DContext (other)
| Constructor, with another 3d context object. More...
def | Add3DAnnot (threeD_file_path, page_index, rectf, screen_canvas_parent, launch_setting, advanced_setting)
| Add a 3D annotation to the PDF page. More...
def | GetPage3DAnnotArray (page_index)
| Get 3d annot objects array by page index. More...
def | Invalidate ()
| Refresh 3D Objects. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...

## Detailed Description

This class represents a 3D PDF context. Before using any class or methods in this module, please ensure Foxit PDF SDK has been initialized successfully by function FoxitPDFSDKPython2.Library.Initialize with a key including "3D" module.
Currently, 3D module only supports Windows.

See also
  FoxitPDFSDKPython2.Library

## Constructor & Destructor Documentation

## ◆ PDF3DContext()

def FoxitPDFSDKPython2.PDF3DContext.PDF3DContext | ( |  | other | ) |

Constructor, with another 3d context object.

Parameters

  [in] | other | Another 3d context object.

## Member Function Documentation

## ◆ Add3DAnnot()

def FoxitPDFSDKPython2.PDF3DContext.Add3DAnnot | ( |  | threeD_file_path,
|  |  | page_index,
|  |  | rectf,
|  |  | screen_canvas_parent,
|  |  | launch_setting,
|  |  | advanced_setting
| ) |  |

Add a 3D annotation to the PDF page.

Parameters

  [in] | threeD_file_path | The file path of 3D file. Currently, it supports u3d and prc.
  [in] | page_index | The index of the page to which the 3D annotation is added. Valid range: from 0 to (page_count-1).
  [in] | rectf | The rectangle of new 3d annotation in [PDF coordinate system].
  [in] | screen_canvas_parent | The screen canvas parent handle.
  [in] | launch_setting | The 3D launch setting.
  [in] | advanced_setting | The 3D advanced setting.

Returns
  The added 3D annotation object.

Parameters

  [in] | threeD_file_read | The file reader callback of 3D file. Currently, it supports u3d and prc. Please refer to FoxitPDFSDKPython2.FileReaderCallback for details.
  [in] | page_index | The index of the page to which the 3D annotation is added. Valid range: from 0 to (page_count-1).
  [in] | rectf | The rectangle of new 3d annotation in [PDF coordinate system].
  [in] | screen_canvas_parent | The screen canvas parent handle.
  [in] | launch_setting | The 3D launch setting.
  [in] | advanced_setting | The 3D advanced setting.

Returns
  The added 3D annotation object.

## ◆ GetPage3DAnnotArray()

def FoxitPDFSDKPython2.PDF3DContext.GetPage3DAnnotArray | ( |  | page_index | ) |

Get 3d annot objects array by page index.

Parameters

  [in] | page_index | Page index. Valid range: from 0 to (page_count-1). page_count is returned by function FoxitPDFSDKPython2.PDFDoc.GetPageCount .

Returns
  3d annot objects array.

## ◆ Invalidate()

def FoxitPDFSDKPython2.PDF3DContext.Invalidate | ( |  | ) |

Refresh 3D Objects.

To dynamically display 3D effects, it is necessary to modify the interface based on loop calls.

Returns
  None.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.PDF3DContext.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.